import React from 'react'
import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'
import { Icon, Action } from '@pubsweet/ui'

const Close = styled.p`
  display: flex;
  align-items: center;
  justify-content: flex-end
  margin: calc(${th('gridUnit')} * 6) auto calc(${th('gridUnit')} * 2);
`

const CloseButton = ({ size = 4, ...props }) => (
  <Action {...props}>
    <Icon color="currentColor" size={size}>
      x
    </Icon>
  </Action>
)

export { Close, CloseButton }
