#!/usr/bin/env node

const Journal = require('../xpub-model/entities/journal/data-access')
const Organization = require('../xpub-model/entities/organization/data-access')
// const User = require('../xpub-model/entities/user/data-access')

const seed = async () => {
  // noinspection JSAnnotator
  /*
  const userId = uuidv4()
  const user = new User({
    id: userId,
  })

  user.save().then(() =>
    User.findByField('id',userId).then(result =>
      console.log(result)
    )
  )
*/

  const journal = {
    journalTitle: 'J Clin Pediatr Dent',
    manuscripts: [],
  }

  const emptyManuscript = {
    // journalId: 'b2332ce2-42b6-442c-9274-1c5e3741f5ae',
    createdBy: 'me',
    'meta,title': 'Some title',
    status: 'INITIAL',
    files: [],
  }

  const organisation = await Organization.all()
  /* eslint-disable dot-notation */
  emptyManuscript['organizationId'] = organisation[0].id

  journal.manuscripts.push(emptyManuscript)

  const emptyFile = {
    // manuscriptId: id,
    url: 'http://staging.europepmc.org/docs/converted.nxml',
    size: 117220,
    filename: 'converted.nxml',
    type: 'PMCfinal',
    label: 'some label',
    mimeType: 'application/xml',
  }

  emptyManuscript.files.push(emptyFile)

  for (let i = 1; i <= 7; i += 1) {
    const emptyFile = {
      // manuscriptId: id,
      url: `http://staging.europepmc.org/docs/emss-78823-f00${i}.tif`,
      size: 4154944,
      filename: `emss-78823-f00${i}.tif`,
      type: 'IMGprint',
      label: 'some label',
      mimeType: 'image/tiff',
    }
    emptyManuscript.files.push(emptyFile)
  }
  new Journal(journal).save()
}

seed()
