const uuid = require('uuid')
const rfr = require('rfr')
const logger = require('@pubsweet/logger')

const UserManager = rfr('server/xpub-model/entities/user')

describe('User_Manager', async () => {
  afterAll(() => UserManager.model.knex().destroy())

  test('User_Manager_findCurrentUser', async () => {
    const user = await UserManager.findById(
      '42d6fdc1-988d-4d34-95d3-5dec610a7634',
    )
    logger.debug('user: ', user)
    expect(user.surname).toBe('Gou')
  })

  test('User_Manager_signUp', async () => {
    const user = await UserManager.signUp({
      givenNames: 'Yuci',
      surname: 'Gou',
      email: `${uuid.v4()}@ebi.ac`,
      password: 'password',
    })
    logger.debug('Signed up user: ', user)
    expect(user.surname).toBe('Gou')
  })
})
