const rfr = require('rfr')
const logger = require('@pubsweet/logger')

const User = rfr('server/xpub-model/entities/user/data-access')

describe('User_Modle', async () => {
  afterAll(() => User.knex().destroy())

  test('User_Modle_find_by_id', async () => {
    const user = await User.findById('42d6fdc1-988d-4d34-95d3-5dec610a7634')
    logger.debug('user: ', user)
    expect(user.surname).toBe('Gou')
  })

  test('User_Modle_find_by_email', async () => {
    logger.debug('User_Modle_find_by_email quering...')
    const user = await User.findByEmail('ygou@ebi.ac.uk')
    logger.debug('user: ', user)
    expect(user.surname).toBe('Gou')
    logger.debug('User_Modle_find_by_email quering end')
  })
})
